# Generated from bcaparser-0.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name bcaparser

Name: rubygem-%{gem_name}
Version: 0.1.2
Release: 1%{?dist}
Summary: Parsing BCA Balance and Transactions
License: MIT
URL: https://www.linkedin.com/pub/alfian-lo/48/579/943
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0
# BuildRequires: rubygem(rspec) >= 3.1
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
Gem ini berfungsi untuk automatisasi dalam mengambil informasi saldo dan
mutasi rekening Bank BCA anda secara mudah, cepat, dan efisien. Dengan
menggunakan command line anda dapat dengan mudah melakukan automatisasi untuk
pengambilan data berupa informasi saldo, mutasi transaksi harian, mutasi
transaksi bulanan. Data kemudia dapat ditampilkan maupun disimpan ke dalam
bentuk CSV maupun Excel. Gem ini tidak mengambil data anda sama sekali, karena
gem ini pada dasarnya bekerja dengan melakukan automatisasi pada browser anda
untuk melakukan hal-hal yang biasa anda lakukan dengan mengklik pada browser
untuk melakukan transaksi. Dibutuhkan browser Firefox terinstall pada sistem
anda untuk menggunakan gem ini.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/bcaparser
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README
%{gem_instdir}/spec

%changelog
* Mon Apr 18 2022 mockbuilder - 0.1.2-1
- Initial package
